EtmV4P0Stack Class Reference

`#include <trc_etmv4_stack_elem.h>`

## Public Member Functions

| EtmV4P0Stack ()
| ~EtmV4P0Stack ()
void | push_front (TrcStackElem *pElem)
void | push_back (TrcStackElem *pElem)
void | pop_back ()
TrcStackElem * | back ()
size_t | size ()
void | delete_all ()
void | delete_back ()
void | delete_popped ()
TrcStackElemParam * | createParamElem (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const std::vector< uint32_t > &params)
TrcStackElem * | createParamElemNoParam (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, bool back=false)
TrcStackElemAtom * | createAtomElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const ocsd_pkt_atom &atom)
TrcStackElemExcept * | createExceptElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const bool bSame, const uint16_t excepNum)
TrcStackElemCtxt * | createContextElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const etmv4_context_t &context, const uint8_t IS)
TrcStackElemAddr * | createAddrElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const etmv4_addr_val_t &addr_val)

## Detailed Description

Definition at line 250 of file trc_etmv4_stack_elem.h.

## Constructor & Destructor Documentation

## EtmV4P0Stack()

EtmV4P0Stack::EtmV4P0Stack | ( |  | ) |

inline

Definition at line 253 of file trc_etmv4_stack_elem.h.

## ~EtmV4P0Stack()

EtmV4P0Stack::~EtmV4P0Stack | ( |  | ) |

inline

Definition at line 280 of file trc_etmv4_stack_elem.h.

Here is the call graph for this function:

## Member Function Documentation

## back()

TrcStackElem * EtmV4P0Stack::back | ( |  | ) |

inline

Definition at line 317 of file trc_etmv4_stack_elem.h.

## createAddrElem()

TrcStackElemAddr* EtmV4P0Stack::createAddrElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const etmv4_addr_val_t & | addr_val
| ) |  |

## createAtomElem()

TrcStackElemAtom* EtmV4P0Stack::createAtomElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const ocsd_pkt_atom & | atom
| ) |  |

## createContextElem()

TrcStackElemCtxt* EtmV4P0Stack::createContextElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const etmv4_context_t & | context,
|  | const uint8_t | IS
| ) |  |

## createExceptElem()

TrcStackElemExcept* EtmV4P0Stack::createExceptElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const bool | bSame,
|  | const uint16_t | excepNum
| ) |  |

## createParamElem()

TrcStackElemParam* EtmV4P0Stack::createParamElem | ( | const p0_elem_t | p0_type,
|  | const bool | isP0,
|  | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const std::vector< uint32_t > & | params
| ) |  |

## createParamElemNoParam()

TrcStackElem* EtmV4P0Stack::createParamElemNoParam | ( | const p0_elem_t | p0_type,
|  | const bool | isP0,
|  | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | bool | back = `false`
| ) |  |

## delete_all()

void EtmV4P0Stack::delete_all | ( |  | ) |

inline

Definition at line 323 of file trc_etmv4_stack_elem.h.

Here is the call graph for this function:
Here is the caller graph for this function:

## delete_back()

void EtmV4P0Stack::delete_back | ( |  | ) |

inline

Definition at line 306 of file trc_etmv4_stack_elem.h.

Here is the caller graph for this function:

## delete_popped()

void EtmV4P0Stack::delete_popped | ( |  | ) |

inline

Definition at line 331 of file trc_etmv4_stack_elem.h.

Here is the caller graph for this function:

## pop_back()

void EtmV4P0Stack::pop_back | ( |  | ) |

inline

Definition at line 299 of file trc_etmv4_stack_elem.h.

## push_back()

void EtmV4P0Stack::push_back | ( | TrcStackElem * | pElem | ) |

inline

Definition at line 293 of file trc_etmv4_stack_elem.h.

## push_front()

void EtmV4P0Stack::push_front | ( | TrcStackElem * | pElem | ) |

inline

Definition at line 287 of file trc_etmv4_stack_elem.h.

## size()

size_t EtmV4P0Stack::size | ( |  | ) |

inline

Definition at line 342 of file trc_etmv4_stack_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/opencsd/etmv4/trc_etmv4_stack_elem.h